org.codehaus.plexus.compiler.manager

## Class DefaultCompilerManager

- java.lang.Object
- - org.codehaus.plexus.logging.AbstractLogEnabled
  - - org.codehaus.plexus.compiler.manager.DefaultCompilerManager

All Implemented Interfaces:
  CompilerManager, org.codehaus.plexus.logging.LogEnabled

    public class DefaultCompilerManager
    extends org.codehaus.plexus.logging.AbstractLogEnabled
    implements CompilerManager

Author:
  Trygve Laugstøl

### Field Summary

### Fields inherited from interface org.codehaus.plexus.compiler.manager.CompilerManager

`ROLE`

### Constructor Summary

Constructors
Constructor and Description
`DefaultCompilerManager()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Compiler` `getCompiler(String compilerId)`

### Methods inherited from class org.codehaus.plexus.logging.AbstractLogEnabled

`enableLogging, getLogger, setupLogger, setupLogger, setupLogger`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DefaultCompilerManager

    public DefaultCompilerManager()

### Method Detail

#### getCompiler

    public Compiler getCompiler(String compilerId)
                         throws NoSuchCompilerException

Specified by:
  `getCompiler` in interface `CompilerManager`
Throws:
  `NoSuchCompilerException`